=== debian/changelog ===
analitza4 (4:4.14.3-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * Rename to analitza5 to co-exit with the kf5 version analitza6
  * All binary packages that did not have a version have a version now
  * Binary package for calgebra dropped, provided by the kf5 version of
    analitza

  [ Jonathan Riddell ]
  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Thu, 12 Feb 2015 15:46:45 +0100

analitza (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:28:21 -0700

analitza (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:18:48 +0200

analitza (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:24:39 +0200

analitza (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:01:04 +0200

analitza (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Rohan Garg ]
  * Update symbols for armhf

  [ Jonathan Riddell ]
  * Update symbols for new gcc

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:17:56 +0200

analitza (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Patch symbols file with build log.
  * Add ncurses build depend for calgebra

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 10:21:47 -0700

analitza (4:4.13.2-0ubuntu3) utopic; urgency=medium

  * Update debian/libanalitzaplot5abi1.symbols for armhf specific symbol
    differences

 -- Scott Kitterman <scott@kitterman.com>  Tue, 24 Jun 2014 12:42:10 -0400

analitza (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jun 2014 23:18:47 +0100

analitza (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:32:10 +0100

analitza (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes :
    - bump X-Debian-ABI of all libraries to 1 and
      rename packages

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 26 May 2014 16:35:59 +0200

analitza (4:4.13.1-2) UNRELEASED; urgency=medium

  * Update copyright information. (Closes: #749379)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 May 2014 09:35:48 +0200

analitza (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update install files.
  * Abi breakage, bump soversion, sync with kubuntu.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 May 2014 20:14:43 +0200

analitza (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:31:40 +0100

analitza (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:03:17 +0200

analitza (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:50:24 +0100

analitza (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Add a transitional package for libanalitzaplot5 -> libanalitzaplot5abi1 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Mar 2014 13:09:49 +0100

analitza (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Philip Muškovac ]
  * move shared plot files from libanalitzaplot5 to new analitza-common package
  * drop obsolete kalgebra-common.install file
  * update symbol files and, bump X-Debian-ABI of all libraries to 1 and
    rename packages

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:29:15 +0000

analitza (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:22:53 +0100

analitza (4:4.12.2-2) unstable; urgency=medium

  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:50 +0200

analitza (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: analitzaplot-armhf, applid by upstream
  * Update install files.
  * Update symbols files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:09 +0100

analitza (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:31:49 +0000

analitza (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:52:30 +0000

analitza (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:18:34 +0000

analitza (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:24:43 +0000

analitza (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:36:20 +0100

analitza (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release
    - Update install files
    - Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:23:36 +0100

analitza (4:4.11.5-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Update descriptions, also fixing typos in them. (Closes: #729211)
  * Remove unused kalgebra-common.install.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Feb 2014 17:27:05 +0100

analitza (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Enable build failures on missing symbols.

