=== debian/control ===
Source: analitza4
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.2),
               libqt4-opengl-dev,
               libncurses5-dev,
               libreadline-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/analitza
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/analitza.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/analitza.git

Package: libanalitza5-dev
Architecture: any
Section: libdevel
Conflicts: kalgebra-dev
Depends: libanalitza5abi1 (= ${binary:Version}),
         libanalitzagui5abi1 (= ${binary:Version}),
         libanalitzaplot5abi1 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package contains the development files, used to build applications that
 use Analitza.
 .
 This package is part of the KDE education module.

Package: analitza4-common
Architecture: all
Depends: ${misc:Depends}
Replaces: libanalitzaplot4
Conflicts: libanalitzaplot4
Description: common files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package is part of the KDE education module.

Package: libanalitza5abi1
X-Debian-ABI: 1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui5abi1
X-Debian-ABI: 1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitzaplot5abi1
X-Debian-ABI: 1
Architecture: any
Depends: analitza4-common, ${misc:Depends}, ${shlibs:Depends}
Breaks: kalgebra (<< 4:4.7.2)
Replaces: kalgebra (<< 4:4.7.2)
Description: library to work with mathematical expressions - plotting bits
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

Package: libanalitza5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libanalitza5abi1 (= ${binary:Version}),
         libanalitzagui5abi1 (= ${binary:Version}),
         libanalitzaplot5abi1 (= ${binary:Version}),
         ${misc:Depends}
Breaks: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)
Replaces: kalgebra-dbg (<< 4:4.8), kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for Analitza
 This package contains debugging files used to investigate problems with
 libraries and binaries included in Analitza.
 .
 This package is part of the KDE education module.
